3 thoughts on “Browser plug-in available”

  1. Weird. I’ve just installed it again on a different computer and it’s working. My browser is the latest Firefox 3.0.11/Mozilla 5.0

  2. I get a window that has a title that says “Install Error” with a message that says “This search engine isn’t supported by Firefox and can’t be installed.” any help will be greatly appreciated.

Leave a Reply to Elliot Cancel reply